import React from 'react';
import styled from '@emotion/styled';
import { size, rem, margin } from 'polished';
import { Colors } from '../../assets/styles/colors';

const LinkIconSvg = styled.svg`
  ${size(rem('16px'), rem('16px'))};
  display: inline-block;
  vertical-align: middle;
  ${margin('', '', '', rem('5px'))}
`;

const LinkIconG = styled.g`
  ${size(rem('16px'), rem('16px'))};
`;

const LinkIconPath = styled.path`
  fill: ${Colors.PureWhite};
`;

export const LinkIcon = () => {
  return (
    <LinkIconSvg>
      <LinkIconG>
        <LinkIconPath d="M 12.285156 9.144531 L 11.714844 9.144531 C 11.628906 9.144531 11.5625 9.167969 11.507812 9.222656 C 11.457031 9.277344 11.429688 9.34375 11.429688 9.429688 L 11.429688 12.285156 C 11.429688 12.679688 11.289062 13.015625 11.007812 13.292969 C 10.730469 13.574219 10.394531 13.714844 10 13.714844 L 2.570312 13.714844 C 2.179688 13.714844 1.84375 13.574219 1.5625 13.292969 C 1.28125 13.015625 1.144531 12.679688 1.144531 12.285156 L 1.144531 4.855469 C 1.144531 4.464844 1.28125 4.128906 1.5625 3.847656 C 1.84375 3.566406 2.179688 3.429688 2.570312 3.429688 L 8.855469 3.429688 C 8.941406 3.429688 9.007812 3.402344 9.0625 3.347656 C 9.117188 3.292969 9.144531 3.226562 9.144531 3.144531 L 9.144531 2.570312 C 9.144531 2.488281 9.117188 2.417969 9.0625 2.367188 C 9.007812 2.3125 8.941406 2.285156 8.855469 2.285156 L 2.570312 2.285156 C 1.863281 2.285156 1.257812 2.539062 0.753906 3.039062 C 0.25 3.542969 0 4.148438 0 4.855469 L 0 12.285156 C 0 12.992188 0.25 13.601562 0.753906 14.101562 C 1.257812 14.605469 1.863281 14.855469 2.570312 14.855469 L 10 14.855469 C 10.707031 14.855469 11.3125 14.605469 11.816406 14.101562 C 12.320312 13.601562 12.570312 12.992188 12.570312 12.285156 L 12.570312 9.429688 C 12.570312 9.34375 12.542969 9.277344 12.492188 9.222656 C 12.4375 9.167969 12.367188 9.144531 12.285156 9.144531 Z M 12.285156 9.144531" />
        <LinkIconPath d="M 15.832031 1.3125 C 15.71875 1.199219 15.582031 1.144531 15.429688 1.144531 L 10.855469 1.144531 C 10.703125 1.144531 10.566406 1.199219 10.457031 1.3125 C 10.34375 1.425781 10.285156 1.558594 10.285156 1.714844 C 10.285156 1.867188 10.34375 2.003906 10.457031 2.117188 L 12.027344 3.6875 L 6.207031 9.507812 C 6.144531 9.570312 6.117188 9.636719 6.117188 9.714844 C 6.117188 9.792969 6.144531 9.859375 6.207031 9.917969 L 7.222656 10.9375 C 7.28125 10.996094 7.351562 11.027344 7.429688 11.027344 C 7.507812 11.027344 7.574219 10.996094 7.632812 10.9375 L 13.457031 5.117188 L 15.027344 6.6875 C 15.140625 6.800781 15.273438 6.855469 15.429688 6.855469 C 15.582031 6.855469 15.71875 6.800781 15.832031 6.6875 C 15.945312 6.574219 16 6.441406 16 6.285156 L 16 1.714844 C 16 1.558594 15.941406 1.425781 15.832031 1.3125 Z M 15.832031 1.3125" />
      </LinkIconG>
    </LinkIconSvg>
  );
};

const CloseIconSvg = styled.svg`
  ${size(rem('20px'), rem('20px'))}
`;
const CloseIconPath = styled.path`
  fill: ${Colors.PureWhite};
`;

export const CloseIcon = () => {
  return (
    <CloseIconSvg>
      <CloseIconPath d="M 12.378906 10 L 19.507812 2.871094 C 20.164062 2.210938 20.164062 1.148438 19.507812 0.492188 C 18.851562 -0.164062 17.789062 -0.164062 17.128906 0.492188 L 10 7.625 L 2.871094 0.492188 C 2.210938 -0.164062 1.148438 -0.164062 0.492188 0.492188 C -0.164062 1.148438 -0.164062 2.210938 0.492188 2.871094 L 7.625 10 L 0.492188 17.128906 C -0.164062 17.789062 -0.164062 18.851562 0.492188 19.507812 C 1.148438 20.164062 2.210938 20.164062 2.871094 19.507812 L 10 12.375 L 17.128906 19.507812 C 17.789062 20.164062 18.851562 20.164062 19.507812 19.507812 C 20.164062 18.851562 20.164062 17.789062 19.507812 17.128906 Z M 12.378906 10 " />
    </CloseIconSvg>
  );
};
